Bug 524033 - QEMU driver should check the permissions on all paths before starting qemu
QEMU driver should check the permissions on all paths before starting qemu
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: libvirt (Show other bugs)
13
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Berrange
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F12VirtTarget
  Show dependency treegraph
 
Reported: 2009-09-17 12:29 EDT by Jan Stodola
Modified: 2011-06-10 13:57 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-10 13:57:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Stodola 2009-09-17 12:29:39 EDT
Description of problem:
Trying to start virtual guest after restart of host system, virsh fails with error:
[root@hp-z800-01 ~]# virsh start f11_1
error: Failed to start domain f11_1
error: internal error unable to start guest: qemu: could not open disk image /root/f11_1


Version-Release number of selected component (if applicable):
libvirt-0.7.1-1.fc12.x86_64
qemu-system-x86-0.10.92-4.fc12.x86_64
qemu-img-0.10.92-4.fc12.x86_64
qemu-kvm-0.10.92-4.fc12.x86_64
gpxe-roms-qemu-0.9.7-5.fc12.noarch
qemu-common-0.10.92-4.fc12.x86_64

How reproducible:
always

Steps to Reproduce:
1. install any virtual system (F11 in my case)
2. shut down virtual guest
3. reboot host
4. try to start guest: virsh start f11_1
  
Actual results:
[root@hp-z800-01 ~]# virsh start f11_1
error: Failed to start domain f11_1
error: internal error unable to start guest: qemu: could not open disk image /root/f11_1

Expected results:
[root@hp-z800-01 ~]# virsh start f11_1
Domain f11_1 started

Additional info:
after restart of host system:

[root@hp-z800-01 ~]# /etc/init.d/libvirtd status
libvirtd (pid  1592) is running...
[root@hp-z800-01 ~]# virsh start f11_1
error: Failed to start domain f11_1
error: internal error unable to start guest: qemu: could not open disk image /root/f11_1


[root@hp-z800-01 ~]# /etc/init.d/libvirtd restart
Stopping libvirtd daemon: [  OK  ]
Starting libvirtd daemon: [  OK  ]
[root@hp-z800-01 ~]# virsh start f11_1
Domain f11_1 started

[root@hp-z800-01 ~]# /etc/init.d/libvirtd status
libvirtd (pid  2007) is running...


two last messages from /var/log/libvirt/qemu/f11_1.log:
LC_ALL=C PATH=/sbin:/usr/sbin:/bin:/usr/bin /usr/bin/qemu-kvm -S -M pc-0.11 -m 1024 -smp 1 -name f11_1 -uuid 4936e7ba-bb60-213f-5b5f-24b191423e69 -monitor unix:/var/lib/libvirt/qemu/f11_1.monitor,server,nowait -boot c -drive file=/root/f11_1,if=virtio,index=0,boot=on,format=raw -net nic,macaddr=52:54:00:2e:93:e7,vlan=0,model=virtio,name=virtio.0 -net tap,fd=17,vlan=0,name=tap.0 -serial pty -parallel none -usb -usbdevice tablet -vnc 127.0.0.1:0 -vga cirrus
qemu: could not open disk image /root/f11_1
LC_ALL=C PATH=/sbin:/usr/sbin:/bin:/usr/bin HOME=/root USER=root LOGNAME=root /usr/bin/qemu-kvm -S -M pc-0.11 -m 1024 -smp 1 -name f11_1 -uuid 4936e7ba-bb60-213f-5b5f-24b191423e69 -monitor unix:/var/lib/libvirt/qemu/f11_1.monitor,server,nowait -boot c -drive file=/root/f11_1,if=virtio,index=0,boot=on,format=raw -net nic,macaddr=52:54:00:2e:93:e7,vlan=0,model=virtio,name=virtio.0 -net tap,fd=17,vlan=0,name=tap.0 -serial pty -parallel none -usb -usbdevice tablet -vnc 127.0.0.1:0 -vga cirrus
char device redirected to /dev/pts/1
Comment 1 Mark McLoughlin 2009-09-17 12:58:57 EDT
Okay, this is a bit of a mystery

The image is in /root which qemu does not have access to; if Jan does 'chmod o+x /root' it works

But the question is, how did qemu have access to this location in the first place when installing via virt-install?

Re-assigning it arbitrarily to virtinst for now; I'm not sure there's actually a bug here, but we should be able to explain how this image was created in the first place
Comment 2 Mark McLoughlin 2009-09-17 13:09:16 EDT
Okay, mystery solved - Jan had originally installed the guest on F11 and then upgraded

So, chatting to danpb .... we should make libvirt check for this 'qemu cannot access the disk image' condition and return an error message that includes 'you need to chmod o+x'
Comment 3 Bug Zapper 2010-03-15 08:50:33 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 13 development cycle.
Changing version to '13'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2011-06-02 13:44:08 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Cole Robinson 2011-06-10 13:57:04 EDT
I think between the enhancements to the security driver and virt-install/virt-manager doing this check when creating VMs we should be okay. Trying to predict this issue and amend qemu error output sounds like a complete pain. Closing as WONTFIX

Note You need to log in before you can comment on or make changes to this bug.